# DeleteTradingPartner

Deletes a trading partner using ID.

`DELETE /trading-partners/{id}`

**API:** Avalara E-Invoicing API
**Tag:** Trading Partners
**API Version:** 1.4
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.4/methods/Trading%20Partners/DeleteTradingPartner/

## Description

This endpoint deletes an existing trading partner identified by the provided ID.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `avalara-version` | string | header | Yes | The HTTP Header meant to specify the version of the API intended to be used. |
| `X-Avalara-Client` | string | header | No | You can freely use any text you wish for this value. This feature can help you diagnose and solve problems with your software. The header can be treated like a "Fingerprint". |
| `X-Correlation-ID` | string | header | No | The caller can use this as an identifier to use as a correlation id to trace the call. |
| `id` | string | path | Yes | The ID of the trading partner which is being deleted. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 204 | Trading partner deleted successfully. |  |
| 401 | Unauthorized | `ErrorResponse` |
| 403 | Forbidden | `ErrorResponse` |
| 404 | NotFound | `ErrorResponse` |
| 500 | Internal server error | `ErrorResponse` |

## Example Request

```bash
curl -X DELETE "https://api.sbx.avalara.com/einvoicing/trading-partners/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```